List policies.
HTTP request
GET https://cloudidentity.googleapis.com/v1/policies
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of results to return. The service can return fewer than this number. If omitted or set to |
pageToken |
Optional. The pagination token received from a prior call to PoliciesService.ListPolicies to retrieve the next page of results. When paginating, all other parameters provided to |
filter |
Optional. A CEL expression for filtering the results. Policies can be filtered using the expression in the following ways:
The above clauses can be combined together in a single filter expression with the |
Request body
The request body must be empty.
Response body
The response message for PoliciesService.ListPolicies.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"policies": [
{
object ( |
| Fields | |
|---|---|
policies[] |
The results |
nextPageToken |
The pagination token to retrieve the next page of results. If this field is empty, there are no subsequent pages. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-identity.policies.readonlyhttps://www.googleapis.com/auth/cloud-identity.policies
For more information, see the Authorization guide.